Page MenuHomePhabricator

Launching Jenkins slave agent fails with "java.io.IOException: Unexpected termination of the channel"
Closed, DuplicatePublic

Description

Disconnecting/launching a slave agent sometimes causes this error:

java.io.IOException: Unexpected termination of the channel
	at hudson.remoting.SynchronousCommandTransport$ReaderThread.run(SynchronousCommandTransport.java:50)
Caused by: java.io.EOFException
	at java.io.ObjectInputStream$PeekInputStream.readFully(ObjectInputStream.java:2325)
	at java.io.ObjectInputStream$BlockDataInputStream.readShort(ObjectInputStream.java:2794)
	at java.io.ObjectInputStream.readStreamHeader(ObjectInputStream.java:801)
	at java.io.ObjectInputStream.<init>(ObjectInputStream.java:299)
	at hudson.remoting.ObjectInputStreamEx.<init>(ObjectInputStreamEx.java:40)
	at hudson.remoting.AbstractSynchronousByteArrayCommandTransport.read(AbstractSynchronousByteArrayCommandTransport.java:34)
	at hudson.remoting.SynchronousCommandTransport$ReaderThread.run(SynchronousCommandTransport.java:48)

Event Timeline

Krinkle created this task.Mar 5 2015, 9:17 PM
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2015, 9:17 PM
Krinkle updated the task description. (Show Details)Mar 5 2015, 9:17 PM
Krinkle set Security to None.
Krinkle updated the task description. (Show Details)
Krinkle updated the task description. (Show Details)Mar 6 2015, 10:10 PM
Krinkle triaged this task as Low priority.Apr 14 2015, 2:54 PM
Krinkle moved this task from Untriaged to Backlog on the Continuous-Integration-Infrastructure board.
Krinkle added a project: Upstream.
hashar closed this task as Declined.Jun 9 2015, 8:01 PM
hashar claimed this task.
hashar added a subscriber: hashar.

No idea what is causing this. It doesn't seem to impact our infrastructure though so it is just an annoyance.

Krinkle reopened this task as Open.Jun 14 2017, 5:34 PM

No idea what is causing this. It doesn't seem to impact our infrastructure though so it is just an annoyance.

What do you mean by "impacting our infrastructure"? This Jenkins job routinely fails with a Java exception from Jenkins before it even starts. This causes gaps in our data.

Here's another one from today.
https://integration.wikimedia.org/ci/job/performance-webpagetest-wmf/7506/console

00:00:00.000 Started by timer
00:00:00.033 Building remotely on ci-jessie-wikimedia-700525 (ci-jessie-wikimedia) in workspace /home/jenkins/workspace/performance-webpagetest-wmf
00:00:00.468 Using checkout strategy: Default
00:00:00.468 Last Built Revision: Revision a6e81e7713aae5d3c167f44bd0d6ff6359c1fdb4 (origin/master)
00:00:03.088 FATAL: java.io.IOException: Unexpected termination of the channel
00:00:03.089 java.io.EOFException [..]
00:00:03.095 IRC notifier plugin: Sending notification to: #wikimedia-perf
00:00:03.180 ERROR: Step ‘Delete workspace when build is done’ failed: no workspace for performance-webpagetest-wmf #7506
00:00:03.181 Finished: FAILURE